var g1 = "外側のg1";		
var g2 = "外側のg2";		
function foo() {
    var g1 = "fooでg1を設定";
    g2 = "fooでg2を設定";		
    g3 = "fooでg3を設定";		
    var g4 = "fooでg4を設定";	
}
foo();
console.log("g1="+g1);		
console.log("g2="+g2);		
console.log("g3="+g3);		
console.log("g4="+g4);
